summaryrefslogtreecommitdiffstats
path: root/libraries/PDFlib-Lite
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2011-09-03 10:47:03 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-09-03 10:47:03 -0300
commit13c475804d4add086c759e2c9cdef854f50be58a (patch)
tree62eb0763b6fd62f76b9ea13a658693e5fb6c574d /libraries/PDFlib-Lite
parentd67b9c2a6ce418eaf944a6076f454a577831620f (diff)
downloadslackbuilds-13c475804d4add086c759e2c9cdef854f50be58a.tar.gz
slackbuilds-13c475804d4add086c759e2c9cdef854f50be58a.tar.xz
libraries/PDFlib-Lite: Added (A library to generate PDF files)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'libraries/PDFlib-Lite')
-rw-r--r--libraries/PDFlib-Lite/PDFlib-Lite.SlackBuild85
-rw-r--r--libraries/PDFlib-Lite/PDFlib-Lite.info10
-rw-r--r--libraries/PDFlib-Lite/README8
-rw-r--r--libraries/PDFlib-Lite/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/libraries/PDFlib-Lite/PDFlib-Lite.SlackBuild b/libraries/PDFlib-Lite/PDFlib-Lite.SlackBuild
new file mode 100644
index 0000000000..0e66eff672
--- /dev/null
+++ b/libraries/PDFlib-Lite/PDFlib-Lite.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for PDFlib-Lite
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=PDFlib-Lite
+VERSION=${VERSION:-7.0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --with-java=no \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ doc/* readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/PDFlib-Lite/PDFlib-Lite.info b/libraries/PDFlib-Lite/PDFlib-Lite.info
new file mode 100644
index 0000000000..f0116f3489
--- /dev/null
+++ b/libraries/PDFlib-Lite/PDFlib-Lite.info
@@ -0,0 +1,10 @@
+PRGNAM="PDFlib-Lite"
+VERSION="7.0.5"
+HOMEPAGE="http://www.pdflib.com/download/pdflib-family/pdflib-lite-7/"
+DOWNLOAD="http://www.pdflib.com/binaries/PDFlib/705/PDFlib-Lite-7.0.5.tar.gz"
+MD5SUM="34a1cc89e2cfdc1e43ba57019e442a90"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/libraries/PDFlib-Lite/README b/libraries/PDFlib-Lite/README
new file mode 100644
index 0000000000..4d9a0bf308
--- /dev/null
+++ b/libraries/PDFlib-Lite/README
@@ -0,0 +1,8 @@
+PDFlib is a library for generating PDF files. It offers an API with
+support for text, vector graphics, raster image, and hypertext. Call
+PDFlib routines from within your client program and voila: dynamic
+PDF files!
+
+PDFlib Lite offers a subset of the functionality of PDFlib 7. It can
+be used for non-commercial purposes under the terms of the PDFlib
+Lite license agreement.
diff --git a/libraries/PDFlib-Lite/slack-desc b/libraries/PDFlib-Lite/slack-desc
new file mode 100644
index 0000000000..05171b97f2
--- /dev/null
+++ b/libraries/PDFlib-Lite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+PDFlib-Lite: PDFlib-Lite (A library to generate PDF files)
+PDFlib-Lite:
+PDFlib-Lite: PDFlib is a library for generating PDF files. It offers an
+PDFlib-Lite: API with support for text, vector graphics, raster image, and
+PDFlib-Lite: hypertext. PDFlib Lite offers a subset of the functionality of
+PDFlib-Lite: PDFlib 7.
+PDFlib-Lite:
+PDFlib-Lite:
+PDFlib-Lite:
+PDFlib-Lite:
+PDFlib-Lite: Home: http://www.pdflib.com/download/pdflib-family/pdflib-lite-7/